<style>.repair-first_response > * {font-size: 1rem !important;color: red !important;}</style>
{% if request.user == repair.user %}
    {% if repair.status == 2 %}
        <div class="alert alert-dark text-center fs-1-rem w-75 mx-auto">
            <span>Votre demande a été validée.</span>
            <br/>
            <span>Notre équipe vous a laissé un message :</span>
            <br/>
            <div class="fs-5 shadow-lg">
                <span class="repair-first_response shadow rounded">
                    {{ repair.set_first_repense_sentence|linebreaks }}
                </span>
            </div>
            <span>Vous devez à présent envoyer votre colis et nous indiquer le numéro de suivi</span>
            <br/>
            <span>Voici les informations de livraison.</span>
            <div>
                <br/>
                <span>Nom : Drones Pro</span>
                <br/>
                <span>Adresse : {{ about_us.address }}</span>
                <br/>
                <span>Téléphone : {{ about_us.phone }}</span>
                <br/>
            </div>
            <br/>
            <span>Une fois votre colis envoyé, merci de nous indiquer le numéro de suivi.</span>
            <br/>
            <form action="{% url 'repair_tracking_number' repair.id %}" method="POST" class="border px-2 py-1 rounded ">
                <br/>
                {% csrf_token %}
                <div class="d-flex gap-1 justify-content-center align-content-center">
                    <select class="form-select w-25" name="transporter" id="transporter">
                        <option selected value="1">Colissimo</option>
                    </select>
                    <input type="text" class="form-control rounded" required name="tracking_number" id="tracking_number"/>
                </div>
                <br/>
                <br/>
                <input type="submit" class="normal-btn rounded border py-2 px-4 bg-success text-white" value="VALIDER"/>
            </form>
        </div>
    {% elif repair.status == 3 %}
        <div class="alert alert-success text-center fs-1-rem w-75 mx-auto">
            <span>Votre colis est en cours de livraison. Nous vous informerons dès que nous le recevrons</span>
            <br/>
            <span>Merci de votre patience.</span>
        </div>
    {% elif repair.status == 4 or repair.status == 5%}
        <div class="alert alert-success text-center fs-1-rem w-75 mx-auto">
            <span>
                Nous avons bien reçu votre colis. Notre équipe est en train de réparer votre article.
            </span>
            <br/>
            {% if repair.notes %}
                <span>Notre équipe vous a laissé un message :</span>
                <br/>
                <div class="fs-5 shadow-lg">
                    <span class="repair-first_response shadow rounded text-danger">
                        {{ repair.notes|linebreaks }}
                    </span>
                </div>
            {% endif %}
            <span>Merci de votre patience.</span>
        </div>
    {% elif repair.status == 6 %}
        <div class="alert alert-danger text-center fs-1-rem w-75 mx-auto">
            <span>Bonne nouvelle, votre article a été réparé.</span>
            <br/>
            <span>Vous devez à présent régler le montant dû.</span>
            <br/>
            <br/>
            <span>Votre montant est {{ repair.amount }} €.</span>
            <br/>
            <br/>
            <a href="" class="normal-btn rounded border py-2 px-4 bg-success text-white">
                Régler mon montant
            </a>
        </div>
    {% elif repair.status == 7 %}
        <div class="alert alert-success text-center fs-1-rem w-75 mx-auto" >
            <span>Votre montant a été réglé.</span>
            <br/>
            <span>Nous allons vous envoyer le colis très prochainement.</span>
        </div>
    {% elif repair.status == 8 and not repair.finished %}
        <div class="alert alert-success text-center fs-1-rem w-75 mx-auto">
            <span>Votre colis a été envoyé de notre part.</span>
            <br/>
            <span>Voici le numéro de suivi
                <span class="fake-link" onclick='window.open("https://www.laposte.fr/outils/suivre-vos-envois?code={{ repair.tracking_number }}&at_campaign=suivi_colis&at_format=mail_colis", "_blank");'>
                    {{ repair.tracking_number }}
                </span>.
            </span>
            <br/>
            <span>Merci de nous valider la réciption de l'article.</span>
            <br/>
            <br>
            <a href="{% url 'repair_finished' repair.id %}" class="normal-link rounded border py-2 px-4 bg-success text-white">Valider</a>
        </div>
    {% elif repair.status == 9 %}
        <div class="alert alert-danger text-center fs-1-rem w-75 mx-auto">
            <span>Votre demande a été réfusé.</span>
            <br/>
            <span>Voici la raison de refus .</span>
            <br/>
            <span>{{ repair.refused_reasion }}</span>
        </div>
    {% endif %}

    {% if repair.finished and not repair.rated %}
        <div class="alert alert-success text-center fs-1-rem w-75 mx-auto">
            <span>Merci pour votre confiance.</span>
            <br/>
            <span>Merci de noter notre service</span>
            <br>
            <form action="{% url 'new_note' 3 repair.id %}" method="POST">
                {% csrf_token %}
                <select name="stars" class="form-select form-select" id="stars">
                    <option value="1">1 étoile</option>
                    <option value="2">2 étoiles</option>
                    <option value="3">3 étoiles</option>
                    <option value="4">4 étoiles</option>
                    <option value="5" selected>5 étoiles</option>
                </select>
                <br>
                <div>
                    <label for="final-note">Commantaire :</label>
                    <textarea class="form-control" name="final-note" id="final-note" cols="30" rows="10"></textarea>
                </div>
                <br>
                <button type="submit" onclick="submitForm(this)" class="normal-btn rounded border py-2 px-4 mt-3 bg-success text-white">Valider</button>
            </form>
        </div>
    {% endif %}
{% endif %}

    {% if repair.rated %}
        <div class="alert alert-success text-center fs-1-rem w-75 mx-auto">
            <span>Merci pour votre avis.</span>
        </div>
    {% endif %}